/*-----------------------------------------------------------------------------
# Nome:        Mensagem.java
# Finalidade: Controle de Mensagem
#
# Author:		Cesar Kallas				cesarkallas at gmx.net				http://cesarkallas.soulivre.org
#					Renan Fernanades 	renanfernandes at gmail.com		http://renanfernandes.soulivre.org
# Copyright:   (c) 2005
# Licence:     GNU/GPL
# Pontificia Univerisidade Catolica - Puc Campinas - Brasil
#-----------------------------------------------------------------------------*/

package openchat.servidor;

import java.io.*;
import java.net.*;
import openchat.bd.BancoDados;

public class Mensagem
{
	private BancoDados BD;
	private String Token="~~~~~~~~~~~~~~~";
		
	public Mensagem(String bancoDadosIP, int bancoDadosPorta, String bancoDadosUsuario,
			String bancoDadosSenha, String bancoDadosEsquema)
	{
		BD = new BancoDados(bancoDadosIP, bancoDadosPorta, bancoDadosUsuario, bancoDadosSenha, bancoDadosEsquema);
	}
	
	public boolean SendTo (int IdFrom, int IdTo, String Message)
	{
		
		boolean Resul = false;
		try
		{	if(BD.ExistUser(IdTo))
			if(!BD.ReturnUserIp(IdTo).equals("0"))	//user receive is online?
			{
				String IpTo = BD.ReturnUserIp(IdTo);
				int PortTo = BD.ReturnUserPort(IdTo);
				Socket MSG = new Socket(IpTo,PortTo);
				
				PrintWriter Send = new PrintWriter(MSG.getOutputStream());
				
				Send.println("NewMessage"+Token+IdFrom+Token);
				//Send.flush();
				Send.println(Message);
				Send.flush();

				Send.close();
				Send = null;
				MSG.close();
				MSG = null;
				Resul = true;
			}
		}
		catch(IOException E)
		{
			System.out.println("erro ao enviar messagem");
			System.out.println(E.getMessage());
		}
		return Resul;
	}
	
}